Part Cone/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
Line 51: Line 51:
See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].


A Part Torus object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
A Part Cone object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
=== Data ===

Latest revision as of 08:56, 4 March 2022

Конус

Системное название
Part Cone
Расположение в меню
Деталь → Примитивы → Конус
Верстаки
Part
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать примитивы

Описание

Параметрический усечённый конус доступен из панели инструментов верстака Part, через меню (подменю примитивы), диалогового окна Создать примитивы.

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its ДанныеRadius1 or ДанныеRadius2 property to zero. It can be turned into a segment of a cone by changing its ДанныеAngle property.

Применение

  1. Переключитесь на верстак Part
  2. Существует два способа вызова данной команды:
    • Нажатием на иконку Конуса на панели инструментов.
    • Или через пункт меню Деталь → Примитивы → Конус.

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Свойства

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • Радиус 1 (Radius 1): радиус дуги или окружности, определяющей нижнюю грань
  • Радиус 2 (Radius 2): радиус дуги или окружности, определяющей верхнюю грань
  • Высота (Height): высота Конуса
  • Угол (Angle): размер дуги в градусах или полные окружности, определяющих верхнюю и нижнюю грани усеченного конуса. По умолчанию значение 360 создает полностью круговые грани, меньшее значение создаст часть(сектор) конуса, определяемую верхней и нижней гранями, каждая из которых имеет рёбра, определяемые длиной дуги в градусах и двумя радиусами.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()